> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Queue Templates

> Get all templates for an annotation queue.

Templates are returned ordered by position (ascending).



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/annotation_queues/{queue_id}/templates
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/annotation_queues/{queue_id}/templates:
    get:
      tags:
        - annotation_queue
      summary: Get Queue Templates
      description: |-
        Get all templates for an annotation queue.

        Templates are returned ordered by position (ascending).
      operationId: get_queue_templates_v2_annotation_queues__queue_id__templates_get
      parameters:
        - name: queue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Queue Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnnotationTemplateDB'
                title: >-
                  Response Get Queue Templates V2 Annotation Queues  Queue Id 
                  Templates Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    AnnotationTemplateDB:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        include_explanation:
          type: boolean
          title: Include Explanation
        criteria:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Criteria
        constraints:
          oneOf:
            - $ref: >-
                #/components/schemas/api__schemas__annotation__LikeDislikeConstraints
            - $ref: '#/components/schemas/api__schemas__annotation__StarConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__ScoreConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__TagsConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__TextConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__ChoiceConstraints'
            - $ref: '#/components/schemas/TreeChoiceDBConstraints'
          title: Constraints
          discriminator:
            propertyName: annotation_type
            mapping:
              choice:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__ChoiceConstraints
              like_dislike:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__LikeDislikeConstraints
              score:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__ScoreConstraints
              star:
                $ref: '#/components/schemas/api__schemas__annotation__StarConstraints'
              tags:
                $ref: '#/components/schemas/api__schemas__annotation__TagsConstraints'
              text:
                $ref: '#/components/schemas/api__schemas__annotation__TextConstraints'
              tree_choice:
                $ref: '#/components/schemas/TreeChoiceDBConstraints'
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        position:
          type: integer
          title: Position
        usage_count:
          type: integer
          title: Usage Count
          description: Number of annotation ratings using the template.
      type: object
      required:
        - name
        - include_explanation
        - constraints
        - id
        - created_at
        - created_by
        - position
        - usage_count
      title: AnnotationTemplateDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    api__schemas__annotation__LikeDislikeConstraints:
      properties:
        annotation_type:
          type: string
          const: like_dislike
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: LikeDislikeConstraints
    api__schemas__annotation__StarConstraints:
      properties:
        annotation_type:
          type: string
          const: star
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: StarConstraints
    api__schemas__annotation__ScoreConstraints:
      properties:
        annotation_type:
          type: string
          const: score
          title: Annotation Type
        min:
          type: integer
          minimum: 0
          title: Min
        max:
          type: integer
          minimum: 0
          title: Max
      type: object
      required:
        - annotation_type
        - min
        - max
      title: ScoreConstraints
    api__schemas__annotation__TagsConstraints:
      properties:
        annotation_type:
          type: string
          const: tags
          title: Annotation Type
        tags:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Tags
        allow_other:
          type: boolean
          title: Allow Other
          default: false
      type: object
      required:
        - annotation_type
        - tags
      title: TagsConstraints
    api__schemas__annotation__TextConstraints:
      properties:
        annotation_type:
          type: string
          const: text
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: TextConstraints
    api__schemas__annotation__ChoiceConstraints:
      properties:
        annotation_type:
          type: string
          const: choice
          title: Annotation Type
        choices:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Choices
        allow_other:
          type: boolean
          title: Allow Other
          default: false
      type: object
      required:
        - annotation_type
        - choices
      title: ChoiceConstraints
    TreeChoiceDBConstraints:
      properties:
        annotation_type:
          type: string
          const: tree_choice
          title: Annotation Type
        choices_tree:
          items:
            $ref: >-
              #/components/schemas/api__schemas__annotation__TreeChoiceNode-Output
          type: array
          maxItems: 50
          title: Choices Tree
        choices_tree_yaml:
          type: string
          maxLength: 10000
          minLength: 1
          title: Choices Tree Yaml
      type: object
      required:
        - annotation_type
        - choices_tree
        - choices_tree_yaml
      title: TreeChoiceDBConstraints
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    api__schemas__annotation__TreeChoiceNode-Output:
      properties:
        label:
          type: string
          maxLength: 255
          minLength: 1
          title: Label
        id:
          type: string
          maxLength: 255
          minLength: 1
          title: Id
        children:
          items:
            $ref: >-
              #/components/schemas/api__schemas__annotation__TreeChoiceNode-Output
          type: array
          maxItems: 50
          title: Children
      type: object
      required:
        - label
        - id
      title: TreeChoiceNode
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````